require 'active_record'
require 'pg'

ActiveRecord::Base.establish_connection(
  adapter:  'postgresql',
  database: 'fc2'
)

ActiveRecord::Migration.create_table :pages, force: true do |t|
  t.string :url
  t.text :content
  t.datetime :crawled_at
  t.datetime :parsed_at
  t.index :url, unique: true
end