require 'spec_helper'
require 'tjcrawler/crawler'

describe Tjcrawler::Crawler do
  it '#crawl' do
    crawler = Tjcrawler::Crawler.new(css: '.entry-title > a')
    result = crawler.crawl('http://tonytonyjan.net/blog/', '.entry-title > a')
    expect(result.urls).to eql ["http://tonytonyjan.net/2015/01/03/2014-review/", "http://tonytonyjan.net/2014/12/20/intorduction-to-rails-4-dot-2/", "http://tonytonyjan.net/2014/10/10/rubykaigi-2014-feedback/", "http://tonytonyjan.net/2014/10/07/multi-line-c-macros/", "http://tonytonyjan.net/2014/06/28/fcfc-movie-downloader/", "http://tonytonyjan.net/2014/06/27/fb-page-countdown/", "http://tonytonyjan.net/2014/06/26/sfacg-comic-downloader/", "http://tonytonyjan.net/2014/06/20/swift-optional-chaining-on-ruby/", "http://tonytonyjan.net/2014/06/14/use-plurk-api-to-make-a-robot/", "http://tonytonyjan.net/2014/05/30/5xruby-start/"]
  end
end
